# $Revision: 1.15.2.1 $, $Date: 2006/05/15 14:45:10 $
#
# Conditional build:
%bcond_with	xlibs	# with xlibs instead of XFree86-devel
#
Summary:	Startup Notification Library
Summary(pl):	Biblioteka Startup Notification
Name:		startup-notification
Version:	0.8
Release:	2
Group:		Libraries
License:	LGPL
Source0:	http://ftp.gnome.org/pub/gnome/sources/startup-notification/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	d9b2e9fba18843314ae42334ceb4336d
URL:		http://www.gnome.org/
BuildRequires:	%{?with_xlibs:libX11-devel}%{!?with_xlibs:XFree86-devel}
BuildRequires:	automake >= 1.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Startup Notification Library implements a mechanism allowing a
desktop environment to track application startup, to provide user
feedback and other features.

%description -l pl
Biblioteka Startup Notification jest implementacj mechanizmu
pozwalajcego rodowisku graficznemu na ledzenie uruchamiania
aplikacji, dostarczanie odpowiedzi uytkownika oraz inne rzeczy.

%package devel
Summary:	Startup Notification Library development files
Summary(pl):	Pliki programistyczne biblioteki Startup Notification
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{?with_xlibs:libX11-devel}%{!?with_xlibs:XFree86-devel}

%description devel
Startup Notification Library development files.

%description devel -l pl
Pliki programistyczne biblioteki Startup Notification.

%package static
Summary:	Static Startup Notification Library library
Summary(pl):	Statyczna biblioteka Startup Notification
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Startup Notification Library library.

%description static -l pl
Statyczna biblioteka Startup Notification.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%attr(755,root,root) %{_libdir}/*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: startup-notification.spec,v $
Revision 1.15.2.1  2006/05/15 14:45:10  baggins
- release 2

Revision 1.15  2005/03/26 22:40:14  qboosh
- gpm-friendly Source0 URL

Revision 1.14  2005/02/02 17:14:10  grzegol
- updated to 0.8

Revision 1.13  2004/07/09 14:39:18  jpc
- xlibs bcond

Revision 1.12  2004/06/26 16:28:35  aflinta
- up to version 0.7

Revision 1.11  2004/04/02 12:51:01  grzegol
- updated to 0.6
- added BR: automake
- -devel R: XFree86-devel
- strict internal deps

Revision 1.10  2004/01/05 01:42:06  undefine
- release 2

Revision 1.9  2003/12/29 19:21:34  undefine
- copy config.sub to allow build on amd64

Revision 1.8  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.7  2003/05/25 06:27:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/08 11:18:39  qboosh
- use ldconfig to create SONAME symlink

Revision 1.5  2003/03/13 16:31:16  qboosh
- description based on doc/startup-notification.txt

Revision 1.4  2003/01/22 06:45:40  aflinta
- updated to version 0.5

Revision 1.3  2002/12/10 17:43:47  wrobell
- adapterized

Revision 1.2  2002/12/10 17:42:50  wrobell
- more pldization

Revision 1.1  2002/12/10 08:45:28  aflinta
- initial release
